Bug 1416220 - Impossible to distinguish Labels and entity attributes in OpenShift Chargeback Reports
Summary: Impossible to distinguish Labels and entity attributes in OpenShift Chargebac...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Ari Zellner
QA Contact: Einat Pacifici
URL:
Whiteboard: container:chargeback
Depends On: 1416345
Blocks: 1434160
TreeView+ depends on / blocked
 
Reported: 2017-01-24 22:41 UTC by Federico Simoncelli
Modified: 2017-08-29 04:10 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1434160 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:46:33 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)

Description Federico Simoncelli 2017-01-24 22:41:54 UTC
Description of problem:
When creating an OpenShift Chargeback Report it is impossible to distinguish the Labels from other entity attributes in the "Available Fields".

The proposed suggestion is to prefix labels with some string, e.g. "Label : ...".

How reproducible:
100%

Steps to Reproduce:
1. Define a new Chargeback for Projects Report

Actual results:
The listed "Available Fields" is a mix of entity attributes and Labels.

Expected results:
It should be possible to distinguish Labels and entity attributes.


Additional info:
There is an old PR here: https://github.com/ManageIQ/manageiq/pull/11916

Comment 1 Federico Simoncelli 2017-03-08 09:40:53 UTC
Ari what's the status of this? It is targeted for 5.7.2.

Comment 2 Ari Zellner 2017-03-12 15:47:51 UTC
federico, this depends on ground work for https://bugzilla.redhat.com/show_bug.cgi?id=1416345

Comment 3 Federico Simoncelli 2017-03-13 12:14:55 UTC
(In reply to Ari Zellner from comment #2)
> federico, this depends on ground work for
> https://bugzilla.redhat.com/show_bug.cgi?id=1416345

I saw that Libor has patches, are we preparing our work so that once those are merged we're ready to finalize our side as well making it for 5.7.2?

If you start working on top of his PRs you can give him feedback on whether he's providing all we need or not.

Comment 4 Ari Zellner 2017-03-14 08:34:20 UTC
im waiting on https://github.com/ManageIQ/manageiq/pull/11112 to be updated.
the changes needed here are based on that work.

Comment 7 Einat Pacifici 2017-04-20 08:51:38 UTC
Verified. When generating a report, the Available Fields drop down menu has a group:value format which enables the user to to distinguish between label and other entities.


Note You need to log in before you can comment on or make changes to this bug.